## org.exist.xquery
Class CachedResult

    java.lang.Object
      org.exist.xquery.CachedResult

public class CachedResult
extends java.lang.Object

This class is used to hold an intermediate result that can be cached. Caching results is effective if a subexpression is executed more than once and the current evaluation context doesn't change between invocations.

Author:
  wolf

Constructor Summary
`CachedResult(NodeSet context, Sequence result)`

Method Summary
`Sequence` `getResult()`
`boolean` `isValid(Sequence context)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachedResult

    public CachedResult(NodeSet context,
                        Sequence result)

Method Detail

### getResult

    public Sequence getResult()

### isValid

    public boolean isValid(Sequence context)

Copyright (C) Wolfgang Meier. All rights reserved.